# wxGridRangeSelectEvent Class Reference
[Grid Related Classes, Events]

`#include <wx/grid.h>`

Inheritance diagram for wxGridRangeSelectEvent:
[legend]

## Detailed Description

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxGridRangeSelectEvent& event)
Event macros:

- EVT_GRID_RANGE_SELECT(func):
  The user selected a group of contiguous cells. Processes a `wxEVT_GRID_RANGE_SELECT` event type.
- EVT_GRID_CMD_RANGE_SELECT(id, func):
  The user selected a group of contiguous cells; variant taking a window identifier. Processes a `wxEVT_GRID_RANGE_SELECT` event type.

##

Library: wxAdvanced

Category: Grid Related Classes, Events

## Public Member Functions
| wxGridRangeSelectEvent ()
| Default constructor.
| wxGridRangeSelectEvent (int id, wxEventType type, wxObject *obj, const wxGridCellCoords &topLeft, const wxGridCellCoords &bottomRight, bool sel=true, const wxKeyboardState &kbd=wxKeyboardState())
| Constructor for initializing all event attributes.
bool | AltDown () const
| Returns true if the Alt key was down at the time of the event.
bool | ControlDown () const
| Returns true if the Control key was down at the time of the event.
wxGridCellCoords | GetBottomRightCoords ()
| Top left corner of the rectangular area that was (de)selected.
int | GetBottomRow ()
| Bottom row of the rectangular area that was (de)selected.
int | GetLeftCol ()
| Left column of the rectangular area that was (de)selected.
int | GetRightCol ()
| Right column of the rectangular area that was (de)selected.
wxGridCellCoords | GetTopLeftCoords ()
| Top left corner of the rectangular area that was (de)selected.
int | GetTopRow ()
| Top row of the rectangular area that was (de)selected.
bool | MetaDown () const
| Returns true if the Meta key was down at the time of the event.
bool | Selecting ()
| Returns true if the area was selected, false otherwise.
bool | ShiftDown () const
| Returns true if the Shift key was down at the time of the event.

List of all members.

## Constructor & Destructor Documentation

wxGridRangeSelectEvent::wxGridRangeSelectEvent | ( |  | ) |

Default constructor.

wxGridRangeSelectEvent::wxGridRangeSelectEvent | ( | int | id,
|  | wxEventType | type,
|  | wxObject * | obj,
|  | const wxGridCellCoords & | topLeft,
|  | const wxGridCellCoords & | bottomRight,
|  | bool | sel = `true`,
|  | const wxKeyboardState & | kbd = `wxKeyboardState()` |
| ) |  |  |

Constructor for initializing all event attributes.

## Member Function Documentation

bool wxGridRangeSelectEvent::AltDown | ( |  | ) | const

Returns true if the Alt key was down at the time of the event.

bool wxGridRangeSelectEvent::ControlDown | ( |  | ) | const

Returns true if the Control key was down at the time of the event.

wxGridCellCoords wxGridRangeSelectEvent::GetBottomRightCoords | ( |  | ) |

Top left corner of the rectangular area that was (de)selected.

int wxGridRangeSelectEvent::GetBottomRow | ( |  | ) |

Bottom row of the rectangular area that was (de)selected.

int wxGridRangeSelectEvent::GetLeftCol | ( |  | ) |

Left column of the rectangular area that was (de)selected.

int wxGridRangeSelectEvent::GetRightCol | ( |  | ) |

Right column of the rectangular area that was (de)selected.

wxGridCellCoords wxGridRangeSelectEvent::GetTopLeftCoords | ( |  | ) |

Top left corner of the rectangular area that was (de)selected.

int wxGridRangeSelectEvent::GetTopRow | ( |  | ) |

Top row of the rectangular area that was (de)selected.

bool wxGridRangeSelectEvent::MetaDown | ( |  | ) | const

Returns true if the Meta key was down at the time of the event.

bool wxGridRangeSelectEvent::Selecting | ( |  | ) |

Returns true if the area was selected, false otherwise.

bool wxGridRangeSelectEvent::ShiftDown | ( |  | ) | const

Returns true if the Shift key was down at the time of the event.

|  | [ top ]